import request from '@/utils/request'

// 查询商业计划书列表
export function listInitiationReport(query) {
  return request({
    url: '/file/initiationReport/list',
    method: 'get',
    params: query
  })
}

// 查询商业计划书详细
export function getInitiationReport(id) {
  return request({
    url: '/file/initiationReport/' + id,
    method: 'get'
  })
}

// 新增商业计划书
export function addInitiationReport(data) {
  return request({
    url: '/file/initiationReport',
    method: 'post',
    data: data
  })
}

// 修改商业计划书
export function updateInitiationReport(data) {
  return request({
    url: '/file/initiationReport',
    method: 'put',
    data: data
  })
}

// 删除商业计划书
export function delInitiationReport(id) {
  return request({
    url: '/file/initiationReport/' + id,
    method: 'delete'
  })
}
